Skip to navigation

Delete Work Orders Id Reviewers Reviewer Id Revocation

View as Markdown

Reinstates a revoked external reviewer’s access to the work order; only admins, the work order’s assigned managers and leads, location managers and its creator may call it.

Authentication

AuthorizationBearer

OAuth 2.0 Client Credentials Flow. To obtain an access token:

  1. Request API credentials from HINDSITE support to receive your client_id and client_secret

  2. Make a POST request to obtain an access token:

POST https://app.hindsiteind.com/oauth/token
Content-Type: application/x-www-form-urlencoded

grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET
  1. The response will contain your access token:
{
  "access_token": "your_access_token_here",
  "token_type": "Bearer",
  "expires_in": 7200,
  "created_at": 1234567890
}
  1. Include the token in subsequent API requests:
Authorization: Bearer your_access_token_here

Path parameters

idstringRequired
reviewer_idstringRequired

Response

Access reinstated

Errors

403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error